/* custom variables */
:root {
	--text-color: #363636;
	--text-size: 16px;
	/*--text-font: 'Roboto', sans-serif;*/
	--primary: #54991c;
	--primary-hover: #488517;
	--primary-text: #fff;
	--secondary: #818181;
	--secondary-hover: #464646;
	--secondary-text: #fff;
	--secondary-text-hover: #e2e2e2;
	--container-width: 1280px;
}
.nav {
    --bs-nav-link-color: var(--primary);
    --bs-nav-link-hover-color: var(--primary-hover);
}
.nav-pills {
    --bs-nav-pills-link-active-bg: var(--primary-hover);
}


body {
	color: var(--text-color);
	font-size: var(--text-size);
	/*font-family: var(--text-font);*/

	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;
	height: 100%;
	-webkit-box-pack: stretch;
	-ms-flex-pack: stretch;
	justify-content: stretch;
	min-height: 100vh;
}

hr {
    border-top: var(--bs-border-width) solid var(--bs-border-color);
    opacity: 1;
}

a {
	color: var(--primary);
}
a:hover {
	color: var(--primary-hover);
}

/* Bootstrap override */
label, .form-group label, .form-group legend.col-form-label {
	margin-bottom: 0.3rem;
	padding-bottom: 0;
}

.form-control, .form-select, .btn {
	-webkit-border-radius: 0;
	-moz-border-radius: 0;
	border-radius: 0;
}

.container {
	max-width: var(--container-width);
	width: 100%;
}

.alert {
}
.alert-warning hr {
	border-top-color: #ebd695;
}

.btn-primary {
	background-color: var(--primary);
	border-color: var(--primary);
	color: var(--primary-text);
}
.btn-outline-primary {
	border-color: var(--primary);
	color: var(--primary);
}
.btn-outline-primary:hover, .btn-outline-primary:active, .btn-outline-primary:focus-visible {
    background-color: var(--primary) !important;
	border-color: var(--primary) !important;
}
.btn-primary:hover, .btn-primary.focus, .btn-primary:focus,
.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show > .btn-primary.dropdown-toggle {
	background-color: var(--primary-hover);
	border-color: var(--primary-hover);
	color: var(--primary-text);
}
.btn-primary.focus, .btn-primary:focus, .btn-primary:not(:disabled):not(.disabled).active:focus, .btn-primary:not(:disabled):not(.disabled):active:focus, .show>.btn-primary.dropdown-toggle:focus {
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
	box-shadow: none;
}

.badge-primary {
	background-color: var(--primary);
	color: var(--primary-text);
}

.badge-secondary {
	background-color: var(--secondary);
	color: var(--secondary-text);
}
.badge-outline-secondary {
	background-color: transparent;
	border: 1px solid var(--secondary);
	color: var(--secondary);
}

.navbar-toggler {
	font-size: 16px;
	line-height: 22px;
}
.navbar-toggler:focus {
	outline: none;
}
.navbar-toggler .navbar-icon {
	display: inline-block;
	font-size: 30px;
	height: 22px;
	line-height: 22px;
	margin: 0 5px;
	vertical-align: middle;
}

.navbar-dark .navbar-brand {
	border-right: 1px solid #fff;
	padding-right: 25px;
}

.nav-tabs {
	--bs-nav-tabs-link-active-bg: #fbfbfb;
}

/* tabs */
.tab-pane {
	background-color: #fbfbfb;
	border: 1px solid var(--border-color);
	margin-top: -1px;
	padding: 20px 10px;
}


/* Layout */
#header {
    /*background-color: var(--bs-light);*/
    background-color: #373737;
    color: #fff;
    margin-bottom: 40px;
}
#header a {
    color: #fff;
}
#content {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;
	-webkit-flex: 1 1 auto;
	-ms-flex: 1 1 auto;
	flex: 1 1 auto;
	margin: 0 0 30px;
}
#footer {
	font-size: 90%;
	line-height: 20px;
}


/* Frontend  - Widget*/


/* form */
.streetnumber {
    -webkit-flex: 0 0 50px;
    -ms-flex: 0 0 50px;
    flex: 0 0 50px;
}


/* Login */
#login {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	-webkit-box-flex: 1;
	-ms-flex: 1 1 auto;
	flex: 1 1 auto;
}
#login .loginwrapper {
	border: 1px solid #e5e5e5;
	-webkit-box-shadow: 0 0 30px rgb(0 0 0 / 10%);
	-moz-box-shadow: 0 0 30px rgb(0 0 0 / 10%);
	box-shadow: 0 0 30px rgb(0 0 0 / 10%);
	margin-left: auto;
	margin-right: auto;
	max-width: 450px;
	padding: 10px 15px 0;
	position: relative;
	width: 100%;
}
#login .loginbrand {
	position: relative;
	margin: -10px -15px 0;
	padding: 10px 15px 40px;
	width: auto;
}
#login .loginbrand img {
	position: absolute;
	left: 15px;
	top: 0;
	transform: translateY(-40px);
    width: 63px;
}


/* only large - xl */
@media (min-width: 1200px) {

}


/* large - lg */
@media (max-width: 1199px) {
}


/* medium - md */
@media (max-width: 991px) {
}


/* small - sm */
@media (max-width: 767px) {
}


/* extra small - xs */
@media (max-width: 575px) {
	body {
		min-width: 320px;
	}

    #header .logo {
        max-width: 180px;
    }
}
